From ea5ef55bd13f504c26d075ce73f72867c1d4cea3 Mon Sep 17 00:00:00 2001
From: RichardG867 <richardg867@gmail.com>
Date: Fri, 11 Oct 2024 16:50:12 -0300
Subject: [PATCH] qt: Fix another media menu string deallocation crash

---
 src/qt/qt_mediahistorymanager.cpp | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/src/qt/qt_mediahistorymanager.cpp b/src/qt/qt_mediahistorymanager.cpp
index cd9be766b3..2acdc8e5bb 100644
--- a/src/qt/qt_mediahistorymanager.cpp
+++ b/src/qt/qt_mediahistorymanager.cpp
@@ -336,17 +336,16 @@ MediaHistoryManager::removeMissingImages(device_index_list_t &device_history)
             continue;
         }
 
-        char *p = checked_path.toUtf8().data();
         char temp[MAX_IMAGE_PATH_LEN -1] = { 0 };
 
-        if (path_abs(p)) {
-            if (strlen(p) > (MAX_IMAGE_PATH_LEN - 1))
-                fatal("removeMissingImages(): strlen(p) > 2047\n");
+        if (path_abs(checked_path.toUtf8().data())) {
+            if (checked_path.length() > (MAX_IMAGE_PATH_LEN - 1))
+                fatal("removeMissingImages(): checked_path.length() > 2047\n");
             else
-                snprintf(temp, (MAX_IMAGE_PATH_LEN - 1), "%s", p);
+                snprintf(temp, (MAX_IMAGE_PATH_LEN - 1), "%s", checked_path.toUtf8().constData());
         } else
             snprintf(temp, (MAX_IMAGE_PATH_LEN - 1), "%s%s%s", usr_path,
-                     path_get_slash(usr_path), p);
+                     path_get_slash(usr_path), checked_path.toUtf8().constData());
         path_normalize(temp);
 
         QString qstr = QString::fromUtf8(temp);
